Bug 453017 - Review Request: un-extra-fonts - Korean TrueType fonts
Review Request: un-extra-fonts - Korean TrueType fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Jang
Fedora Extras Quality Assurance
:
Depends On: 453016
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-26 13:50 EDT by Dennis Jang
Modified: 2008-11-06 21:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 02:43:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)
spec diff (3.40 KB, text/plain)
2008-07-06 11:54 EDT, Nicolas Mailhot
no flags Details
un-extra-fonts.spec-5.patch (3.93 KB, patch)
2008-10-07 21:04 EDT, Dennis Jang
no flags Details | Diff
Kill conf.avail stuff (3.01 KB, patch)
2008-10-13 17:12 EDT, Nicolas Mailhot
no flags Details | Diff

  None (edit)
Description Dennis Jang 2008-06-26 13:50:21 EDT
Spec URL: http://get9.net/rpm/un-fonts-extra.spec
SRPM URL: http://get9.net/rpm/un-fonts-extra-1.0-1.src.rpm
Description: This package provides more improved free Korean Truetype fonts.

Dennis Jang
Comment 1 Dennis Jang 2008-06-28 07:23:16 EDT
Summary: Un series Korean TrueType fonts

Spec URL: http://get9.net/rpm/un-fonts-extra.spec
SRPM URL: http://get9.net/rpm/un-fonts-extra-1.0.2.080608-1.fc9.src.rpm
Description: 
This is a set of Korean TrueType fonts. Un-fonts is comes from the HLaTeX as 
type1 fonts in 1998 by Koaunghi Un
It converted to TrueType with the FontForge(PfaEdit) by Won-kyu Park in 2003.
This package has only the most common font families.
Install un-fonts-core for additional fonts.


#1 Rebuild and repackaging for rpmlint
#2 Changed package name to Un series Korean TrueType fonts
#3 Summary and description of the changes, added to Korean
#4 Added %define archiveversion 080608, because 080608 is snapshot version
#5 I have a problem in korean spacing words for rpmlint. I don't fix it
#6 fixed License: GPLv2+

-- Problem #5
# rpmlint -i un-fonts-extra.spec     
un-fonts-extra.spec:25: W: non-break-space line 25
The spec file contains a non-break space, which looks like a regular space in
some editors but can lead to obscure errors. It should be replaced by a
regular space.

un-fonts-extra.spec:27: W: non-break-space line 27
The spec file contains a non-break space, which looks like a regular space in
some editors but can lead to obscure errors. It should be replaced by a
regular space.

un-fonts-extra.spec:28: W: non-break-space line 28
The spec file contains a non-break space, which looks like a regular space in
some editors but can lead to obscure errors. It should be replaced by a
regular space.

0 packages and 1 specfiles checked; 0 errors, 3 warnings.
Comment 2 Nicolas Mailhot 2008-07-04 17:16:21 EDT
1. Please complete http://fedoraproject.org/wiki/UN_Extra_fonts
2. Please make sure you've performed the other font packager actions documented
on phase 2 of http://fedoraproject.org/wiki/Font_package_lifecycle

Package review will follow
Comment 3 Nicolas Mailhot 2008-07-04 17:29:48 EDT
Spec review of http://get9.net/rpm/un-fonts-extra.spec-1

I see you've strayed quite a bit from our official template
http://fedoraproject.org/wiki/Annotated_fonts_spec_template
(checked with meld)

1. Most of your changes look harmless but please do make sure you use the
official scriplets and not something else.

2. Also I'm not really sure about the
%build
%{nil}
thing

3. If you can please have upstream publish the sfd files they use and rebuild
the fonts from sfds in your package
Comment 4 Nicolas Mailhot 2008-07-04 17:31:26 EDT
4. and do check your summary and description, so they're different from
un-core-fonts
Comment 5 Nicolas Mailhot 2008-07-04 17:37:48 EDT
5. if upstream has not released a 1.0.2 version yet, and 1.0.2.080608 is an
alpha/beta/pre-release of 1.0.2:

A. use 1.0.2 as version
B. use a 0.X.%{alphatag} release with %{alphatag}=080608

( see
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages )
Comment 6 Nicolas Mailhot 2008-07-04 17:42:32 EDT
6. I'd really name the package un-extra-fonts. un-fonts-extra/un-fonts-core
makes it look like they're both subpackages of the same srpm
Comment 7 Nicolas Mailhot 2008-07-04 17:46:30 EDT
That's all for the informal review. Since a formal review is very time
consuming, I'll wait till those first remarks are taken into account before
going through the whole
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines list
Comment 8 Dennis Jang 2008-07-05 11:56:16 EDT
(In reply to comment #4)
> 4. and do check your summary and description, so they're different from
> un-core-fonts

i see, 

un fonts package will be two kinds of fonts family.

un-core-fonts and un-extra-fonts, So I used package name in the original package

and i'll repackaging in 1.0
Comment 9 Nicolas Mailhot 2008-07-06 07:33:59 EDT
Ok. Please ping me there when you have a new spec ready.
Comment 10 Dennis Jang 2008-07-06 08:29:28 EDT
Summary: Un Extra families Korean TrueType fonts

Spec URL: http://get9.net/rpm/1.0/un-extra-fonts.spec
SRPM URL: http://get9.net/rpm/1.0/un-extra-fonts-1.0.1-3.fc9.src.rpm
Description: 
This is a set of Korean TrueType fonts. Un-fonts come from the HLaTeX type1
fonts made by Koaunghi Un in 1998. They were converted to TrueType with
FontForge(PfaEdit) by Won-kyu Park in 2003.

Extra families (10 fonts)
 * UnPen, UnPenheulim: script
 * UnTaza: typewriter style
 * UnBom: decorative
 * UnShinmun
 * UnYetgul: old Korean printing style
 * UnJamoSora, UnJamoNovel, UnJamoDotum, UnJamoBatang

Install un-core-fonts for additional fonts.

and 1.0.2-pre packaging

http://get9.net/rpm/1.0.2-080608/un-extra-fonts-1.0.2-0.3.080608.fc9.src.rpm
http://get9.net/rpm/1.0.2-080608/un-extra-fonts.spec
Comment 11 Dennis Jang 2008-07-06 08:33:51 EDT
(In reply to comment #9)
> Ok. Please ping me there when you have a new spec ready.

revert to the 1.0 stable release
Comment 12 Nicolas Mailhot 2008-07-06 11:54:05 EDT
Created attachment 311102 [details]
spec diff
Comment 13 Nicolas Mailhot 2008-07-06 12:03:34 EDT
So:

1. I've posted a diff you may want to consider, changing your spec a little so
it's closer to our templates and easier to review

2. this diff is against the 1.0.2 pre-version spec. I'll let you judge of the
version to package, you're better qualified than me and given the timespan
between the stable and current version using stable may not necessarily be a
good idea.

3. please update
http://fedoraproject.org/wiki/UN_Extra_fonts
as requested on
http://fedoraproject.org/wiki/Font_package_lifecycle#2.a

4. As noted on http://fedoraproject.org/wiki/SIGs/Fonts since upstream chose a
GPL license, please get it to clarify its position WRT GPLv3 and at least add
the FSF font exception to their GPL text. If they don't answer in a week,
proceed as usual (but no embedding exception sucks for korean users)

5. if possible have upstream release sfds and build from them

6. since this font set includes many fonts, it's probably a good idea to write a
fontconfig ruleset so fontconfig puts them in the right families (sans-serif,
serif, monospace; cursive, fantasy)

http://fedoraproject.org/wiki/Fontconfig_packaging_tips
Comment 14 Nicolas Mailhot 2008-07-06 12:06:46 EDT
3. and 4. are a MUST (for 4. at least asking, since we won't block on no answer)

1. 5. 6. are a SHOULD, but you can pass on them if you don't agree with them

Anyway this version is much closer to review acceptance, thank you for your work
Comment 15 Dennis Jang 2008-07-06 13:07:43 EDT
1. ok
3. http://fedoraproject.org/wiki/UN_Extra_fonts
-updated wiki page
Comment 16 Nicolas Mailhot 2008-07-06 13:41:25 EDT
Please don't forget to change the wiki page status next time.
Anyway, please do 4. and at least look at the others now.
Comment 18 Jens Petersen 2008-07-07 00:48:00 EDT
Nicolas, thank you for taking this review, but isn't it better we finish
un-fonts-core first, otherwise we are going to be duplicating a lot of
review work across the two packages.  Once the core review is settled
the extra package review should be straightforward.

I am not sure it is a good idea to rename the package from the upstream name.
I feel more comfortable just keeping the upstream naming, and I think
our packaging guidelines should allow and encourage that.
Comment 19 Nicolas Mailhot 2008-07-07 04:30:48 EDT
(In reply to comment #18)

> I am not sure it is a good idea to rename the package from the upstream name.

We have the case here of an upstream naming that's very close to our own
conventions, so it's not so clear cut. But in other cases we don't hesitate to
rename, so I don't see why not there.

IMHO (and Debian has gone this way too lately) we'll need someday to review all
our font package names to be more strict and consistent. Consistency pays big
time with users and upstream namings are sadly not consistent at all.
Comment 20 Dennis Jang 2008-07-08 05:17:59 EDT
I think so un-fonts and un-fonts-extra, I wish that I think will be more 
comfortable. un-fonts-core and un-core-fonts are too uncomfortable or the 
naming
Comment 21 Nicolas Mailhot 2008-07-13 04:28:39 EDT
un-fonts and un-extra-fonts would be ok with me. And I like your spec file. But
I'll wait for Jens to be finished with un-code before approving this one
Comment 22 Jens Petersen 2008-07-13 22:11:06 EDT
Hmm I think we should stick with un-core-fonts since that is what upstream calls
them.

Probably subpackaging un-extra-fonts is not necessary like un-core-fonts though.
Comment 23 Nicolas Mailhot 2008-07-14 12:42:03 EDT
Our aim when subpackaging is to help users. If Dennis Jang feels subpackaging
and making possible to install only subsets of un-extras will make users happy,
he should subpackage. OTOH if he thinks most users will always want the whole
set, he can pass.

Above all we want to avoid situations when users do not install un-extras at all
because they feel it's too bulky for their usb key/livecd/micro-laptop/etc
(while they would have installed a smaller subset happily).

But this is something only a user of this language can decide on.
I'll happily approve a guidelines-compliant un-extra package (subpackaged or
not) as soon as you're done with un-core
Comment 24 Jens Petersen 2008-07-14 21:25:35 EDT
Yep, agreed: I was just trying to make the point that I consider
subpackaging a blocker for un-core but optional (ie up to the maintainer)
for un-extra. :)
Comment 25 Jens Petersen 2008-08-04 02:03:28 EDT
Dennis is now sponsored - so removing needsponsor.
Comment 26 Jens Petersen 2008-08-18 03:57:44 EDT
(And un-core-fonts is approved though still pending cvs.)
Comment 27 Dennis Jang 2008-09-06 21:25:41 EDT
cvs done.
Comment 28 Dennis Jang 2008-09-06 21:29:44 EDT
(In reply to comment #27)
> cvs done.

So sorry, un-core-fonts is cvs done.
Comment 29 Jens Petersen 2008-10-01 22:29:33 EDT
Will you update this un-extra-fonts package submission in line with the final un-core-fonts package when you have time? :)
Comment 30 Dennis Jang 2008-10-07 21:04:00 EDT
Created attachment 319715 [details]
un-extra-fonts.spec-5.patch

Spec file - http://get9.net/rpm/5/un-extra-fonts.spec

- add subpackages with a macro
- add description
Comment 31 Nicolas Mailhot 2008-10-12 08:57:09 EDT
Thank you for continuing to work on this. Anyway:

1. please use lowercase-only package names
2. please add a fontconfig file to each font so it's sorted in the right category
3. please use more descriptive package descriptions so users actually know what they're downloading
4. please make sure the fontconfig scriptlets are actually included in every package

Here is a rough draft on how it should be done (I really should be reviewing other font packages instead of rewriting individual package submissions)
http://nim.fedorapeople.org/un-extra-fonts.spec
http://nim.fedorapeople.org/un-extra-fonts-1.0.2-0.6.080608.fc10.src.rpm

It still needs:
1. proofing and completing of the package descriptions.
2. checking each font is assigned to the correct fontconfig generic family
3. checking the 66 priority is all right (with japanese people at least I think)

Some of the changes are probably interesting for un-core as well.

Please make all of those changes so I can move to the formal review step.

Also the previous remarks on having upstream take a position on GPLv3 / adding font exception / providing sfd sources still stand though we should probably not block on them.
Comment 32 Nicolas Mailhot 2008-10-12 11:27:18 EDT
Also note that the conf.d/conf.avail changes depend on the discussion of https://fedoraproject.org/wiki/PackagingDrafts/Fonts_spec_template_correction_(fontconfig) which is not an official Fedora guideline yet (and may change during review)
Comment 34 Nicolas Mailhot 2008-10-13 17:12:16 EDT
Created attachment 320232 [details]
Kill conf.avail stuff

Thank you for being reactive.

Unfortunately that means the use of conf.avail is far too premature (the guideline change process has uncovered problems that won't be fixed short-term)

Please apply this patch to use strict guidelines fontconfig install in the meanwhile.
Comment 35 Nicolas Mailhot 2008-10-13 17:27:46 EDT
1. Anyway, if you revert the conf.avail stuff the package is APPROVED.

You can continue from 
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a now. Please don't
forget the comps and wiki bits.

2. Please apply whatever fixes are relevant to the un-core-fonts packages. If un-core-fonts extra fontconfig files are 66, that means un-core-fonts fontconfig files probably need to be 65 (and you need to check with Jens Petersen that does not break japanese).

Lastly, do continue to ask upstream :
3. to add the FSF font exception to their licensing.
4. to publish sfds

This font package was unusually complex. Congratulations on staying with us so far :)
Comment 36 Nicolas Mailhot 2008-10-13 17:30:30 EDT
Dennis, from now on everything is in your hands
Comment 37 Dennis Jang 2008-10-13 21:41:43 EDT
New Package CVS Request
=======================
Package Name: un-extra-fonts
Short Description: Un Extra families Korean TrueType fonts
Owners: smallvil
Branches: devel F-9 F-8
InitialCC: smallvil
Cvsextras Commits: yes
Comment 38 Huzaifa S. Sidhpurwala 2008-10-15 05:56:58 EDT
cvs done
Comment 39 Fedora Update System 2008-10-15 13:40:46 EDT
un-extra-fonts-1.0.2-0.7.080608.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/un-extra-fonts-1.0.2-0.7.080608.fc8
Comment 40 Fedora Update System 2008-10-15 13:42:01 EDT
un-extra-fonts-1.0.2-0.7.080608.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/un-extra-fonts-1.0.2-0.7.080608.fc9
Comment 41 Jens Petersen 2008-10-16 02:43:48 EDT
I added it to comps-f10.
Comment 42 Fedora Update System 2008-11-06 21:53:39 EST
un-extra-fonts-1.0.2-0.7.080608.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 43 Fedora Update System 2008-11-06 21:57:24 EST
un-extra-fonts-1.0.2-0.7.080608.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.